HMWJGraphInternal::Frame Struct Reference

Internal: the frame header of a HMWJGraph. More...

Inheritance diagram for HMWJGraphInternal::Frame:

## Public Member Functions

| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
virtual bool | valid () const
| returns true if the frame data are read More...

## Public Attributes

int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends

std::ostream & | operator<< (std::ostream &o, Frame const &grph)
| operator<< More...

## Detailed Description

Internal: the frame header of a HMWJGraph.

## Constructor & Destructor Documentation

HMWJGraphInternal::Frame::Frame | ( |  | ) |

inline

constructor

virtual HMWJGraphInternal::Frame::~Frame | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

virtual bool HMWJGraphInternal::Frame::valid | ( |  | ) | const

inline virtual

returns true if the frame data are read

Reimplemented in HMWJGraphInternal::BasicGraph, HMWJGraphInternal::TextFrame, HMWJGraphInternal::TextboxFrame, HMWJGraphInternal::TableFrame, HMWJGraphInternal::SeparatorFrame, HMWJGraphInternal::PictureFrame, HMWJGraphInternal::GroupFrame, and HMWJGraphInternal::CommentFrame.

Referenced by HMWJGraph::flushExtra(), HMWJGraph::getFootnoteInformations(), HMWJGraph::getTextFrameInformations(), HMWJGraph::numPages(), HMWJGraph::sendFrame(), HMWJGraph::sendPageGraphics(), and HMWJGraph::sendTableUnformatted().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | grph
| ) |  |

friend

operator<<

## Member Data Documentation

float HMWJGraphInternal::Frame::m_baseline

the baseline

Referenced by HMWJGraphInternal::operator<<(), and HMWJGraph::readFrame().

std::string HMWJGraphInternal::Frame::m_extra

an extra string

Referenced by HMWJGraphInternal::operator<<(), and HMWJGraph::readFrame().

long HMWJGraphInternal::Frame::m_fileId

the file id

Referenced by HMWJGraphInternal::operator<<(), and HMWJGraph::sendFrame().

int HMWJGraphInternal::Frame::m_formatId

the format id

Referenced by HMWJGraphInternal::operator<<(), HMWJGraph::readFrame(), HMWJGraph::sendBasicGraph(), HMWJGraph::sendComment(), and HMWJGraph::sendTextbox().

int HMWJGraphInternal::Frame::m_id

the local id

Referenced by HMWJGraphInternal::operator<<(), and HMWJGraph::readFrame().

int HMWJGraphInternal::Frame::m_page

the page

Referenced by HMWJGraph::numPages(), HMWJGraphInternal::operator<<(), HMWJGraph::readFrame(), and HMWJGraph::sendPageGraphics().

bool HMWJGraphInternal::Frame::m_parsed

mutable

true if we have send the data

Referenced by HMWJGraph::flushExtra(), HMWJGraph::sendFrame(), HMWJGraph::sendPageGraphics(), and HMWJGraph::sendPictureFrame().

Box2f HMWJGraphInternal::Frame::m_pos

the position

Referenced by HMWJGraphInternal::operator<<(), HMWJGraph::readFrame(), HMWJGraph::sendBasicGraph(), HMWJGraph::sendComment(), HMWJGraph::sendFrame(), HMWJGraph::sendPageGraphics(), HMWJGraph::sendPictureFrame(), and HMWJGraph::sendTextbox().

int HMWJGraphInternal::Frame::m_posFlags

the graph anchor flags

Referenced by HMWJGraphInternal::operator<<().

int HMWJGraphInternal::Frame::m_type

the graph type

Referenced by HMWJGraph::flushExtra(), HMWJGraph::getFootnoteInformations(), HMWJGraph::getTextFrameInformations(), HMWJGraphInternal::operator<<(), HMWJGraph::readFrame(), HMWJGraph::sendFrame(), HMWJGraph::sendPageGraphics(), and HMWJGraph::sendTableUnformatted().

The documentation for this struct was generated from the following file:

- HMWJGraph.cxx